org.apache.cayenne.access.types

## Interface ExtendedType

- All Known Implementing Classes:
    BigDecimalType, BigIntegerType, BooleanType, ByteArrayType, ByteType, CalendarType, CharType, DateType, DoubleType, EnumType, ExtendedEnumType, FloatType, IngresBooleanType, IntegerType, LongType, ObjectType, OracleByteArrayType, OracleCharType, OracleUtilDateType, ShortType, TimestampType, TimeType, UtilDateType, UUIDType, VoidType

      public interface ExtendedType

  Defines methods to read Java objects from JDBC ResultSets and write as parameters of PreparedStatements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
    `Object` | `materializeObject(CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Object` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject(PreparedStatement statement, Object value, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.

- - ### Method Detail

    - #### getClassName

          String getClassName()

      Returns a full name of Java class that this ExtendedType supports.

    - #### setJdbcObject

          void setJdbcObject(PreparedStatement statement,
                             Object value,
                             int pos,
                             int type,
                             int scale)
                      throws Exception

      Initializes a single parameter of a PreparedStatement with object value.
      Throws:
        `Exception`

    - #### materializeObject

          Object materializeObject(ResultSet rs,
                                   int index,
                                   int type)
                            throws Exception

      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          Object materializeObject(CallableStatement rs,
                                   int index,
                                   int type)
                            throws Exception

      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Throws:
        `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.